Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface IPluginModelBase

All Superinterfaces:
  IAdaptable, IBaseModel, IModel, IModelChangeProvider, ISharedExtensionsModel, ISharedPluginModel

All Known Subinterfaces:
  IFragmentModel, IPluginModel

public interface IPluginModelBase
extends ISharedExtensionsModel, IModelChangeProvider

This type of model is created by parsing the manifest file. It serves as a base interface for both plug-in and fragment models by holding data common to both. If the file is a workspace resource, it will be available as the underlying resource of the model. The model may be read-only or editable. It will also make a reference to the build.properties model when created. The reference will be of the same type as the model itself: if the model is editable, it will attempt to obtain an exclusive editable copy of build.properties model.

The plug-in model can be disabled. Disabling the model will not change its data. Users of the model will have to decide if the disabled state if of any importance to them or not.

The model is capable of notifying listeners about changes. An attempt to change a read-only model will result in a CoreException.

Method Summary
`IPluginBase` | `createPluginBase()`
`IBuildModel` | `getBuildModel()` Returns an associated build.properties model that works in conjunction with this model.
`org.eclipse.osgi.service.resolver.BundleDescription` | `getBundleDescription()` Returns the bundle description of the plug-in in case the plug-in uses the new OSGi bundle layout.
`URL` | `getNLLookupLocation()` Returns the location where property file containing translations of names in this model can be found.
`IPluginBase` | `getPluginBase()` Returns a top-level model object.
`IPluginBase` | `getPluginBase(boolean createIfMissing)` Returns a top-level model object.
`IPluginModelFactory` | `getPluginFactory()` Returns the factory that can be used to create new objects for this model
`boolean` | `isEnabled()` Returns true if this model is currently enabled.
`boolean` | `isFragmentModel()` Tests if this model is for the plug-in fragment.
`void` | `setBundleDescription(org.eclipse.osgi.service.resolver.BundleDescription description)` Associates the bundle description of the plug-in with this model in case the plug-in uses the new OSGi bundle layout.
`void` | `setEnabled(boolean enabled)` Sets the enable state of the model.

Methods inherited from interface org.eclipse.pde.core.plugin.ISharedExtensionsModel
`getExtensions, getExtensions`

Methods inherited from interface org.eclipse.pde.core.plugin.ISharedPluginModel
`getFactory, getInstallLocation`

Methods inherited from interface org.eclipse.pde.core.IModel
`getResourceString, getTimeStamp, getUnderlyingResource, isInSync, isLoaded, isReconcilingModel, load, load, reload`

Methods inherited from interface org.eclipse.pde.core.IBaseModel
`dispose, isDisposed, isEditable, isValid`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IModelChangeProvider
`addModelChangedListener, fireModelChanged, fireModelObjectChanged, removeModelChangedListener`

Method Detail

### createPluginBase

    public IPluginBase createPluginBase()

  Returns:
    org.eclipse.pde.ui.model.plugin.IPluginBase

### getBuildModel

    public IBuildModel getBuildModel()

  Returns an associated build.properties model that works in conjunction with this model.

  Returns:
    the matching plugin.jars model

### getPluginBase

    public IPluginBase getPluginBase()

  Returns a top-level model object. Equivalent to calling

      getPluginBase(true)

  .

  Returns:
    a top-level model object representing a plug-in or a fragment.

### getPluginBase

    public IPluginBase getPluginBase(boolean createIfMissing)

  Returns a top-level model object.

  Parameters:
    `createIfMissing` - if true, root model object will be created if not defined.
  Returns:
    a top-level model object

### isEnabled

    public boolean isEnabled()

  Returns true if this model is currently enabled.

  Returns:
    true if the model is enabled

### isFragmentModel

    public boolean isFragmentModel()

  Tests if this model is for the plug-in fragment.

  Returns:
    `true` if the model is for the fragment, `false` otherwise.

### setEnabled

    public void setEnabled(boolean enabled)

  Sets the enable state of the model.

  Parameters:
    `enabled` - the new enable state

### getPluginFactory

    public IPluginModelFactory getPluginFactory()

  Returns the factory that can be used to create new objects for this model

  Returns:
    the plug-in model factory

### getNLLookupLocation

    public URL getNLLookupLocation()

  Returns the location where property file containing translations of names in this model can be found.

  Returns:
    the location of the property file with translations

### getBundleDescription

    public org.eclipse.osgi.service.resolver.BundleDescription getBundleDescription()

  Returns the bundle description of the plug-in in case the plug-in uses the new OSGi bundle layout.

  Returns:
    bundle description if this is an OSGi plug-in, or `null` if the plug-in is in a classic format.
  Since:
    3.0

### setBundleDescription

    public void setBundleDescription(org.eclipse.osgi.service.resolver.BundleDescription description)

  Associates the bundle description of the plug-in with this model in case the plug-in uses the new OSGi bundle layout.

  Parameters:
    `description` - bundle description to associate with this model
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.